[Project_owners] Extension Manager problem?

Adam Judson adamsplugins at gmail.com
Fri Oct 28 12:50:23 EDT 2005


I installed 0.91, then hit update.

I was told updates were available - 1.1.

Not sure if you changed anything, but it seems to work for me on FF 1.07

Maybe you were gettting an old RDF file from the cache?

Adam



On 28/10/05, Eric Jung <grimholtz at yahoo.com> wrote:
> Hi,
>
> I just released version 1.1 of PasswordMaker on passwordmaker.org
> (not addons.mozilla.org). The previous release was 0.9.1. That's
> right; there is no 1.0 release. I updated update.rdf, but EM isn't
> detecting the update. Here's an excerpt. I added the 1.1 sections
> (line breaks added for readability). How does EM detect version
> increments? Could 1.1 be less than or equal to 0.9.1 in its logic?
>
> Thank you for any help!
>
> <Description about=
>   "urn:mozilla:extension:{5872365e-67d1-4afd-9480-fd293bebd20d}">
>   <em:updates>
>     <Seq>
>     <li resource=
>       "urn:mozilla:extension:
>       {5872365e-67d1-4afd-9480-fd293bebd20d}:1.1"/>
>     <li resource=
>       "urn:mozilla:extension:
>       {5872365e-67d1-4afd-9480-fd293bebd20d}:0.9.1"/>
>     <li resource=
>       "urn:mozilla:extension:
>       {5872365e-67d1-4afd-9480-fd293bebd20d}:0.9"/>
>     ...
>     </Seq>
>   </em:updates>
>   <em:version>1.1</em:version>
>   <em:updateLink>
>     http://passwordmaker.org/downloads/passwdmaker-1.1.xpi
>   </em:updateLink>
> </Description>
>
> <!-- Version 1.1 of PasswordMaker -->
> <Description about=
>     "urn:mozilla:extension:
>     {5872365e-67d1-4afd-9480-fd293bebd20d}:1.1">
>   <em:version>1.1</em:version>
>   <em:targetApplication>
>     <Description>
>       <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
>       <em:minVersion>0.7</em:minVersion>
>       <em:maxVersion>1.4+</em:maxVersion>
>       <em:updateLink>
>         http://passwordmaker.org/downloads/passwdmaker-1.1.xpi
>       </em:updateLink>
>     </Description>
>   </em:targetApplication>
> </Description>
>
>
> <!-- Version 0.9.1 of PasswordMaker -->
> <Description about=
>     "urn:mozilla:extension:
>     {5872365e-67d1-4afd-9480-fd293bebd20d}:0.9.1">
>   <em:version>0.9.1</em:version>
>   <em:targetApplication>
>     <Description>
>       <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
>       <em:minVersion>0.7</em:minVersion>
>       <em:maxVersion>1.4+</em:maxVersion>
>       <em:updateLink>
>         http://passwordmaker.org/downloads/passwdmaker-0.9.1.xpi
>       </em:updateLink>
>     </Description>
>   </em:targetApplication>
> </Description>
>
> Regards,
> Eric Jung
>
>
>
> __________________________________
> Start your day with Yahoo! - Make it your home page!
> http://www.yahoo.com/r/hs
> _______________________________________________
> Project_owners mailing list
> Project_owners at mozdev.org
> http://mozdev.org/mailman/listinfo/project_owners
>


More information about the Project_owners mailing list